#!/usr/bin/env python3

from dataclasses import dataclass
from statusd_server.models import Cpu
from statusd_server.proto.messages import CpuRequest


@dataclass
class Converter:
    def ToCpu(self, data: bytes) -> Cpu:
        request: CpuRequest = CpuRequest().parse(data)
        return Cpu(request.value)
