mod common;
use std::{
    sync::{Arc, Barrier, Mutex},
    thread,
};

use common::setup;

#[test]
fn start_test() {
    let config = setup();
    let server = Arc::new(config.0);
    let client = config.1;
    let arc = Arc::new(Barrier::new(2));

    let b1 = arc.clone();

    let b1 = arc.clone();
    let b2 = arc.clone();
    let ss = server.clone();
    let thread_handle = thread::spawn(move || {
        println!("waiting in thread");
        b1.wait();
        ss.start();
    });

    let f = server.clone();
    println!("waiting in main");
    arc.wait();
    f.stop();

    thread_handle.join().unwrap();
}
