#!/usr/bin/env python3

from typing import List
from dataclasses import dataclass


@dataclass
class Cpu:
    value: float


@dataclass
class Ram:
    value: float


@dataclass
class ProcessInfo:
    name: str
    cpu: int


@dataclass
class ProcessList:
    processes: List[ProcessInfo]
