#!/usr/bin/env python3

from test_client.proto.messages import *
import socket

if __name__ == "__main__":
    metric = Request()
    metric.type = RequestType.Create
    metric.metric = RequestMetric.CPU
    cpu = CpuRequest()
    cpu.value = 12345
    metric.body = bytes(cpu)

    with socket.socket(socket.AF_INET, socket.SOCK_STREAM) as s:
        s.connect(("127.0.0.1", 6654))
        s.sendall(bytes(metric))
